# Type alias ModuleConfigBase<TConfig>

ModuleConfigBase<TConfig>: Payload<WithAdditional<{
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: TConfig extends Payload
? TConfig["schema"]
: ModuleConfigSchema;
security?: {
allowAnonymous?: boolean;
allowed?: Record<SchemaString, (AddressString | CosigningAddressSet)[]>;
disallowed?: Record<SchemaString, AddressString[]>;
};
storeQueries?: boolean;
}, Omit<TConfig, "schema">>>

#### Type Parameters

- #### TConfig extends Payload | undefined = undefined

- Defined in modules/packages/module/packages/model/dist/types/Config.d.ts:15

Generated using TypeDoc